import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PpUnicomUserInfo } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-22 15:11
 */
interface PpUnicomUserInfoCU extends ConditionUtil<PpUnicomUserInfoCU> {
    USER_ID: FieldUtil<PpUnicomUserInfoCU>;
    PHONE: FieldUtil<PpUnicomUserInfoCU>;
    COMMON_LPN: FieldUtil<PpUnicomUserInfoCU>;
    SCORE: FieldUtil<PpUnicomUserInfoCU>;
    CREATE_TIME: FieldUtil<PpUnicomUserInfoCU>;
    UPDATE_TIME: FieldUtil<PpUnicomUserInfoCU>;
}
declare class PpUnicomUserInfoMU extends TableUtilImpl<PpUnicomUserInfoCU, PpUnicomUserInfo> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PpUnicomUserInfoCU;
    static get USER_ID(): FieldUtil<PpUnicomUserInfoCU>;
    static get PHONE(): FieldUtil<PpUnicomUserInfoCU>;
    static get COMMON_LPN(): FieldUtil<PpUnicomUserInfoCU>;
    static get SCORE(): FieldUtil<PpUnicomUserInfoCU>;
    static get CREATE_TIME(): FieldUtil<PpUnicomUserInfoCU>;
    static get UPDATE_TIME(): FieldUtil<PpUnicomUserInfoCU>;
    get USER_ID(): FieldUtil<PpUnicomUserInfoCU>;
    get PHONE(): FieldUtil<PpUnicomUserInfoCU>;
    get COMMON_LPN(): FieldUtil<PpUnicomUserInfoCU>;
    get SCORE(): FieldUtil<PpUnicomUserInfoCU>;
    get CREATE_TIME(): FieldUtil<PpUnicomUserInfoCU>;
    get UPDATE_TIME(): FieldUtil<PpUnicomUserInfoCU>;
}
export { PpUnicomUserInfoMU, PpUnicomUserInfoCU };
